Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v3
Class ConsultRecursiveLegalReferenceType

    java.lang.Object
      be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalReferenceKeyType
          be.fgov.ehealth.dics.protocol.v3.ConsultLegalReferenceType
              be.fgov.ehealth.dics.protocol.v3.ConsultRecursiveLegalReferenceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:09+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultRecursiveLegalReferenceType

extends ConsultLegalReferenceType
implements Serializable

Java class for ConsultRecursiveLegalReferenceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRecursiveLegalReferenceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultLegalReferenceType">
           <choice>
             <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultRecursiveLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
             <sequence>
               <element name="FormalInterpretation" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultFormalInterpretationType" minOccurs="0"/>
               <element name="LegalText" type="{urn:be:fgov:ehealth:dics:protocol:v3}ConsultRecursiveLegalTextType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultRecursiveLegalReferenceType()`

Method Summary
`ConsultFormalInterpretationType` | `getFormalInterpretation()` Gets the value of the formalInterpretation property.
`List<ConsultRecursiveLegalReferenceType>` | `getLegalReferences()` Gets the value of the legalReferences property.
`List<ConsultRecursiveLegalTextType>` | `getLegalTexts()` Gets the value of the legalTexts property.
`void` | `setFormalInterpretation(ConsultFormalInterpretationType value)` Sets the value of the formalInterpretation property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v3.ConsultLegalReferenceType
`getEndDate, getFirstPublishedOn, getLastModifiedOn, getLegalReferenceTraces, getStartDate, getTitle, getType, setEndDate, setFirstPublishedOn, setLastModifiedOn, setStartDate, setTitle, setType`

Methods inherited from class be.fgov.ehealth.dics.core.v3.reimbursementlaw.submit.LegalReferenceKeyType
`getKey, setKey`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultRecursiveLegalReferenceType

    public ConsultRecursiveLegalReferenceType()

Method Detail

### getFormalInterpretation

    public ConsultFormalInterpretationType getFormalInterpretation()

  Gets the value of the formalInterpretation property.

  Returns:
    possible object is `ConsultFormalInterpretationType`

### setFormalInterpretation

    public void setFormalInterpretation(ConsultFormalInterpretationType value)

  Sets the value of the formalInterpretation property.

  Parameters:
    `value` - allowed object is `ConsultFormalInterpretationType`

### getLegalTexts

    public List<ConsultRecursiveLegalTextType> getLegalTexts()

  Gets the value of the legalTexts property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalTexts property.

  For example, to add a new item, do as follows:

          getLegalTexts().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalTextType`

### getLegalReferences

    public List<ConsultRecursiveLegalReferenceType> getLegalReferences()

  Gets the value of the legalReferences property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

  For example, to add a new item, do as follows:

          getLegalReferences().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalReferenceType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.